import axios from "axios";
import { envConfig } from "./config";
import Cookies from "js-cookie";

export async function getEquipoByCount(idCuenta: number) {
  try {
    const token = Cookies.get("token");
    const headers = { Authorization: `Bearer ${token}` };

    const res = await axios.get(
      `${envConfig.apiUrl}/bitacora/cuenta/${idCuenta}`,
      { headers },
    );
    return res.data;
  } catch (error: any) {
    if (axios.isAxiosError(error)) {
      return {
        error: error.response?.data?.message || "Error al consultar equipo",
      };
    }

    return { error: "Error desconocido" };
  }
}